/*
 * Class EV_RICH_TEXT_ACTION_SEQUENCES_IMP
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_379 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_379 [] = {0xFF01,1551,378,0xFFFF};
static const EIF_TYPE_INDEX egt_2_379 [] = {0xFF01,378,0xFFFF};
static const EIF_TYPE_INDEX egt_3_379 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_379 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_379 [] = {0xFF01,378,0xFFFF};
static const EIF_TYPE_INDEX egt_6_379 [] = {0xFF01,378,0xFFFF};
static const EIF_TYPE_INDEX egt_7_379 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_379 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_379 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_379 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_379 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_379 [] = {0xFF01,378,0xFFFF};
static const EIF_TYPE_INDEX egt_13_379 [] = {0xFF01,640,0xFFFF};
static const EIF_TYPE_INDEX egt_14_379 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_15_379 [] = {0xFF01,640,0xFFFF};
static const EIF_TYPE_INDEX egt_16_379 [] = {0xFF01,640,0xFFFF};
static const EIF_TYPE_INDEX egt_17_379 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_18_379 [] = {0xFF01,640,0xFFFF};


static const struct desc_info desc_379[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_379), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_379), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_379), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_379), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_379), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_379), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_379), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_379), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_379), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_379), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_379), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_379), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x02F5 /*378*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_379), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_379), 6681, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_379), 6682, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_379), 6683, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_379), 6687, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0501 /*640*/), 6684, 0},
	{EIF_GENERIC(egt_17_379), 6688, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 6685, 4},
	{EIF_GENERIC(egt_18_379), 6689, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0501 /*640*/), 6686, 8},
};
void Init379(void)
{
	IDSC(desc_379, 0, 378);
	IDSC(desc_379 + 1, 1, 378);
	IDSC(desc_379 + 32, 1107, 378);
}


#ifdef __cplusplus
}
#endif
